﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Workpackages_Spreadsheet.aspx.cs" Inherits="Workpackages_Spreadsheet" %>

    <input type="button" id="save" value="Save" onclick="saveData()" /><br />
    <br />
    <ej:DataManager ID="dataManager1" runat="server" URL="SpreadsheetFeatures.aspx/Data" BatchURL="SpreadsheetFeatures.aspx/Save" Adaptor="WebMethodAdaptor" />
    <ej:Spreadsheet ID="Spreadsheet1" runat='server' ClientIDMode="Static">
        <ClientSideEvents LoadComplete="loadComplete" />
        <ScrollSettings Width="100%" Height="540" IsResponsive="true" />
        <Sheets>
            <ej:Sheet DataManagerID="dataManager1" Query="ej.Query().take(10).select(['EXT_Workpackage_ID', 'Workpackage_Code', 'Name',
                'Project_ID', 'EXT_Workpackage_Status_ID', 'EXT_Workpackage_Type_ID, 'Created_Date', 'Last_Update_Time','Last_Update_User',
                Description','Drawing_Requirements','Materials','Cutting_List',
                ','Duration','Earliest_Start_Date','Latest_Completion_Date','Sign_Off_Date','Sign_Off_User','
                'Parent_Workpackage_ID','Material_Cost','Baseline_Cum_Total','Revised_Date_To_Completion','Current_Cum_Total',
                'Total_Hours_To_Completion'])" PrimaryKey="EXT_Workpackage_ID"></ej:Sheet>
        </Sheets>
    </ej:Spreadsheet>
    <script type="text/javascript">
        function loadComplete(args) {
            if (!this.isImport) {
                this.XLFormat.format({ "style": { "font-weight": "bold" } }, "A1:E1");
                this.XLFormat.format({ "style": { "font-weight": "bold" } }, "A12:E12");
                this.XLEdit.updateCellValue({ rowIndex: 11, colIndex: 0 }, "Total");
                this.XLEdit.updateCellValue({ rowIndex: 11, colIndex: 1 }, "=SUM(B2:B11)");
                this.XLEdit.updateCellValue({ rowIndex: 11, colIndex: 2 }, "=SUM(C2:C11)");
                this.XLEdit.updateCellValue({ rowIndex: 11, colIndex: 3 }, "=SUM(D2:D11)");
                this.XLEdit.updateCellValue({ rowIndex: 11, colIndex: 4 }, "=SUM(E2:E11)");
            }
        }
        function saveData() {
            var xlObj = $('#Spreadsheet1').data("ejSpreadsheet"), changes = xlObj.getSheet(xlObj.getActiveSheetIndex()).batchChanges.changed;
            if (changes.length) {
                $.ajax({
                    type: "POST",
                    url: "SpreadsheetFeatures.aspx/Save",
                    data: JSON.stringify({ changed: JSON.stringify(changes) }),
                    contentType: "application/json; charset=utf-8",
                    dataType: 'json',
                    success: function (data) {
                        if (data.d == "Success")
                            alert("Edited data updated successfully!!!");
                        else
                            alert("Failed!!!");
                    }
                });
            }
        }
    </script>
